/*
 * Class FINITE [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_771 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_771 [] = {0xFF01,237,770,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_771 [] = {0xFF01,770,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_771 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_771 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_771 [] = {0xFF01,770,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_771 [] = {0xFF01,770,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_771 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_771 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_771 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_771 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_771 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_771 [] = {770,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_771 [] = {0xFF01,770,209,0xFFFF};
static const EIF_TYPE_INDEX egt_14_771 [] = {0xFF01,758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_771 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_771[] = {
	{EIF_GENERIC(NULL), 2044, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_771), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_771), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_771), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_771), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_771), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_771), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_771), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_771), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_771), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_771), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_771), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_771), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_771), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_771), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1916, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_771), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_771), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init771(void)
{
	IDSC(desc_771, 0, 770);
	IDSC(desc_771 + 1, 1, 770);
	IDSC(desc_771 + 32, 77, 770);
	IDSC(desc_771 + 41, 50, 770);
	IDSC(desc_771 + 42, 35, 770);
}


#ifdef __cplusplus
}
#endif
